Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class OpenCaseThread

    java.lang.Object
      java.lang.Thread
          edu.udo.cs.miningmart.gui.application.OpenCaseThread

All Implemented Interfaces:
  java.lang.Runnable

public class OpenCaseThread
extends java.lang.Thread

A `Thread` for opening a case. The `Thread` is necessary because of the `JProgressBar` in the `OpeningCaseDialog`.

Version:
  $Id: OpenCaseThread.java,v 1.4 2006/04/11 14:10:16 euler Exp $
Author:
  Daniel Hakenjos

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OpenCaseThread(MiningMartApplication app, java.lang.String casename, boolean openCaseForUpdating, boolean caseHasChanged)` Constructor for OpenCaseThread.

Method Summary
`java.lang.String` | `getComment()` Gets the comment
`boolean` | `isOpened()` Is the case open?
`boolean` | `isReady()` Is it ready?
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenCaseThread

    public OpenCaseThread(MiningMartApplication app,
                          java.lang.String casename,
                          boolean openCaseForUpdating,
                          boolean caseHasChanged)

  Constructor for OpenCaseThread.

Method Detail

### isOpened

    public boolean isOpened()

  Is the case open?

### getComment

    public java.lang.String getComment()

  Gets the comment

### isReady

    public boolean isReady()

  Is it ready?

### run

    public void run()

  See Also:
    `Runnable.run()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005